<style>

</style>
<template>
<div class="blog_main">

    <!-- blog_brief -->
    <div class="blog_brief">
        <div class="blog_brief_hd">
            <div class="blog_brief_tag">EOS FORCE</div>
            <div class="blog_brief_tag blog_brief_tag_cn">{{ lang.blog }}</div>
        </div>
        <div class="blog_brief_des">
            {{ lang.blog_des }}
        </div>
        <div class="blog_foot">
            <div class="blog_brief_tag">
                {{ lang.social_media }}
            </div>
            <div class="contact_area">
                <a class="contact_item telegram">
                    <div class="contact_item_pane">
                        <div class="ci_arrow"></div>
                        <div class="ci_container">
                            <ul class="social_list">
                                <li>
                                    <a href="https://t.me/eosforce_en" target="_blank">discuss :https://t.me/eosforce_en</a>
                                </li>
                                <li>
                                    <a href="https://t.me/eosforce_en" target="_blank">developers :https://t.me/EOSForce</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </a>
                <a class="contact_item wechat">
                    <div class="contact_item_pane">
                        <div class="ci_arrow"></div>
                        <div class="ci_container">
                            <div class="wx_pane"></div>
                        </div>
                    </div>
                </a>
                <a class="contact_item weibo" href="https://weibo.com/eostio" target="_blank"></a>
                <a class="contact_item twitter" href="https://twitter.com/eosforce" target="_blank"></a>
                <a class="contact_item email">
                    <div class="contact_item_pane">
                        <div class="ci_arrow"></div>
                        <div class="ci_container">
                            <ul class="social_list">
                                <li>
                                    <a href="mailto:service@eosforce.io" target="_blank">service@eosforce.io</a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </a>
                <a class="contact_item git" href="https://github.com/eosforce" target="_blank"></a>
            </div>
        </div>
    </div>
    <!-- blog_brief -->

    <!-- blog_list_ct -->
    <div class="blog_list_ct">
        <!-- blog_item -->
        <div class="blog_item" v-for="item in data">

            <div class="blog_item_brief_ct">
                <div class="blog_item_logo"></div>
                <div class="blog_item_brief">
                    <div class="blog_item_tag blog_brief_tag">{{ item.author }}</div>
                    <div class="blog_date blog_brief_tag">{{ time_plus_hours(item.publish_time) }}</div>
                </div>
            </div>

            <div class="blog_item_content_ct">
                <div class="blog_item_title">{{ item.title }}</div>
                <div class="blog_item_bg" v-bind:style="get_bg(item)"></div>
                <div class="blog_item_txt">
                    {{ item.brief }}
                </div>
            </div>
            <router-link :to="{name: 'eos_blog_item', params: {blog_id: item.id}}" class="read_more">【{{ lang.view_more }}】</router-link>

        </div>
        <!-- blog_item -->
        <!--  -->
        <div class="end_actions_ct">
            <div class="no_data" v-if="no_more">{{ lang.no_more_data }}</div>
            <a class="blog_load_btn" v-if="!on_load && !no_more" @click="load_data">{{ lang.view_more }}</a>
            <div class="base_load_ct blog_list_load_ct" v-if="on_load && !no_more">
            <!-- <div class="base_load_ct blog_list_load_ct" > -->
                <div class="load_circle"></div>
            </div>
        </div>
        <!--  -->
    </div>
    <!-- blog_list_ct -->

    

</div>
</template>
<script>
import {
    time_plus_hours
} from '../utils/utils.js'
import {
    get_blog_brief_list
} from '../../service/eos_service.js'
import { lang, set_lang } from '../../data/lang.js'
export default {
    data () {
        return {
            on_load: true,
            pre: 0,
            lang: lang.data,
            no_more: false,
            data: []
        }
    },
    mounted () {
        this.load_data();
    },
    methods: {
        async load_data () {
            this.start_load();
            let data = await get_blog_brief_list({
                pre: this.pre
            });
            this.finish_load();
            if(data.data.length){
                this.pre = data.data[data.data.length - 1].id;    
            }
            this.data.splice(this.data.length, 0, ...data.data);
            if(data.data.length < 10){
                this.no_more = true;
            }
            this.init_document_config();
        },
        init_document_config () {
            document.title = this.lang.blog_title;
            let description_meta = [...document.getElementsByTagName('meta')].find(item => item.name = 'description');
            description_meta.setAttribute('conetent', this.lang.blog_des);
        },
        get_bg (item) {
            let img_url = item.illustration || 'https://d2mxuefqeaa7sj.cloudfront.net/s_BE31BB04505E1254935FC2AB12141ACEDE86F0FCC06E5873724C6F8161F3723C_1536734078776_tumblr_omydkqJnpl1qmxteso1_1280.gif';
            return {
                backgroundImage: `url("${img_url}")`
            }
        },
        start_load () {
            this.on_load = true;
        },
        finish_load () {
            this.on_load = false;
        },
        time_plus_hours
    }
}
</script>